# Update an asset This operation updates an asset. Assets must be uploaded and complete processing before they can be updated. The fields returned vary depending on when you send this request. For example, if a stream doesn't have unique viewer data, you won't see unique_viewers in the response. Endpoint: PATCH /assets/{id} Version: v1.10 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the asset. ## Request fields (application/json): - `asset` (object, required) - `asset.description` (string) A description of the asset. Maximum 16,000 characters. Example: "description": "My updated asset description" Example: "My Asset Description" - `asset.name` (string) A descriptive name for the live stream. Maximum 200 characters. Example: "name": "My Updated Live Stream Asset" Example: "My Live Stream" - `asset.playback_enabled` (boolean) Specifies whether playback is enabled for an asset. Example: "playback_enabled": true - `asset.tags` (array) A list of tags associated with the asset. Example: "tags": ["Tag1", "Tag2", "Tag3"] Example: ["Tag1","Tag2","Tag3"] ## Response 200 fields (application/json): - `asset` (object, required) - `asset.available_renditions` (array) The renditions available for the asset. Example: [{"height":480,"width":848,"bitrate_kbps":1600}] - `asset.available_renditions.height` (integer) The height, in pixels, of the output rendition. Should correspond to a widescreen or standard aspect ratio and be divisible by 8. The default is 1080. Example: 480 - `asset.available_renditions.width` (integer) The width, in pixels, of the output rendition. Should correspond to a widescreen or standard aspect ratio and be divisible by 8. The default is 1920. Example: 848 - `asset.available_renditions.bitrate_kbps` (integer) The video bitrate, in kilobits per second (Kbps). Must be between 1 and 10240. The default is 4000. Example: 1600 - `asset.id` (string) The unique alphanumeric string that identifies the asset Example: "i4qsbwvi" - `asset.name` (string) A descriptive name for the live stream. Maximum 200 characters. Example: "My Asset" - `asset.description` (string) A description of the asset. Maximum 16,000 characters. Example: "My Asset Description" - `asset.playback_enabled` (boolean) Specifies whether playback is enabled for an asset. - `asset.tags` (array) A list of tags associated with the asset. Example: ["Tag1","Tag2","Tag3"] - `asset.vod_stream_id` (string) An ID for the VOD. You can use this to fetch additional information about the VOD stream associated with the asset, such as the size of only the VOD stream. Example: "l9qsbwvf" - `asset.recording_id` (string) An ID for the recording. You can use this to fetch additional information about the recording associated with the asset. Example: "l8qsbwvu" - `asset.state` (string) The state of the asset. Enum: "uploading", "processing", "completed", "failed" - `asset.created_at` (string) The date and time that the asset was created in Coordinated Universal Time (UTC) format. Dates are formatted as follows: YYYY-DD-MMTHH:MM:SSZ using 24-hour clock ("military") time and including the T and Z. The T marks the end of the date portion and the Z represents zero UTC time offset. Example: "2021-06-30T18:02:20.000Z" - `asset.updated_at` (string) The date and time that the asset was updated in Coordinated Universal Time (UTC) format. Dates are formatted as follows: YYYY-DD-MMTHH:MM:SSZ using 24-hour clock ("military") time and including the T and Z. The T marks the end of the date portion and the Z represents zero UTC time offset. Example: "2021-06-30T18:02:20.000Z" - `asset.download_url` (string) The URL that can be used to download the asset as a .MP4 file. Example: "https://objectstorage.us-ashburn-1.oraclecloud.com/n/idcrz33q3xdo/b/recordings-qa-S7I69eYn/o/abcd1234/recording_0pfxrlw2/MyAsset.mp4" - `asset.file_size` (integer) The file size of the asset in bytes. For example, 2372820 bytes equals 2.4 megabytes. Example: 2372820 - `asset.duration` (integer) The length of an asset in seconds. For example, 9241 would represent 9,241 seconds or roughly 2.5 hours. Example: 9241 - `asset.thumbnail_url` (string) The URL to receive the preview thumbnail. Example: "https://objectstorage.us-ashburn-1.oraclecloud.com/n/idcrz33q3xdo/b/recordings-qa-S7I69eYn/o/abcd1234/recording_0pfxrlw2/0pfxrlw2_thumbnail.jpg" - `asset.unique_viewers` (integer) The number of unique viewers for the stream. Example: 5986 - `asset.total_viewing_time` (integer) The total time that the asset has been viewed by anyone, in seconds. In this example 4492549 would equal 1,248 total hours of view time. Example: 4492549 - `asset.average_view_time` (integer) The average time that the asset has been viewed in seconds. For example, 12580 seconds would be 3.5 hours. Example: 12580 - `asset.playback_url` (string) The HLS URL for the stream associated with the asset. Example: "https://cdn3-qa.wowza.com/2/T1R6V2hBV2hEdmJ0/ZnJUOE9q/hls/g7z7bwbz/playlist.m3u8" - `asset.total_storage_size` (integer) The total storage size for the asset in bytes. In this example, 19513598 equals 19.5 megabytes. Example: 19513598 - `asset.file_name` (string) The name of the mp4 file you uploaded. Note: To avoid file management issues in storage, Wowza Video removes or replaces special characters in file names. Example: "MyAsset.mp4" - `asset.processing_percentage` (integer) A percentage that describes how soon transcoding will complete. Example: 100 ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 422 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)